Skip to main content
`Ctrl`+`K`

# PetscSegBufferGetInts

access an array of `PetscInt` from a `PetscSegBuffer`

## Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscSegBufferGetInts(PetscSegBuffer seg, size_t count, PetscInt *PETSC_RESTRICT *slot);

No Fortran Support

## Input Parameters

- seg - `PetscSegBuffer` buffer

- count - number of entries needed

## Output Parameter

- buf - address of new buffer for contiguous data

## Developer Note

Type-safe wrapper to encourage use of PETSC_RESTRICT. Does not use PetscFunctionBegin because the error handling prevents the compiler from completely erasing the stub. This is called in inner loops so it has to be as fast as possible.

## See Also

`PetscSegBuffer`, `PetscSegBufferGet()`, `PetscInitialize()`, `PetscFinalize()`, `PetscInitializeCalled`

## Level

intermediate

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages